1 Reply Latest reply: Apr 28, 2013 6:37 AM by Allan Eckert
BBlackburn5 Level 1 Level 1 (0 points)

i am having problems with the software updates on my pc, i have 10.5.8 currently and need 10.7 or later to be able to download newest itunes then i can finally use my ipad mini with the pc, how do i know which update will work i have tried numerous different updates to no prevail they all keep coming up with messages saying i need to download 10.6.8 or later.

please help dont mind paying just need to know which one will work with my pc.

many thanks


iMac, Mac OS X (10.5.8)